<?php
namespace Folha\Entities;

use HCM\Util\DateUtil;
use Importacao\Logic\Integracao\ProjetoImportacao;

class MigOcupacaoh extends Base\MigOcupacaoh
{

    const EXPRESSAO_NUMEROS = '/[^0-9]/';

    /**
     * @param $nrocupacaoh
     * @return \Folha\Entities\MigOcupacaoh
     */
    public function setNrocupacaoh ($nrocupacaoh) {
        $nrocupacaoh = \Importacao\Logic\Validacoes::verificaChaveDuplicada('GPE_OCUPACAOH', 'NROCUPACAOH', ProjetoImportacao::getNrorg(), $nrocupacaoh);
        $this->nrocupacaoh = $nrocupacaoh;
    }

//    /**
//     * @param $nrocupacaom
//     * @return \Folha\Entities\MigOcupacaoh
//     */
//    public function setNrocupacaom ($nrocupacaom) {
//        $nrocupacaom = \Importacao\Logic\Validacoes::verificaChaveMae('GPE_OCUPACAOM', 'NROCUPACAOM', \FPA::getNrorgTrabalho(), $nrocupacaom);
//        $this->nrocupacaom = $nrocupacaom;
//    }

    /**
     * @param $nmocupacaoh
     * @throws \Exception
     * @return \Folha\Entities\MigOcupacaoh
     */
    public function setNmocupacaoh ($nmocupacaoh) {
        if (empty($nmocupacaoh)) {
            throw new \Exception("Campo Obrigatório: 'Descrição'");
        }
        $this->nmocupacaoh = $nmocupacaoh;
    }

    /**
     * @param mixed $dtinclusao
     * @return \Folha\Entities\MigOcupacaoh|void
     */
    public function setDtinclusao($dtinclusao)
    {
        if (!preg_match("/\d{2}\/\d{2}\/\d{4}/", $dtinclusao)) {
            throw new \Exception("Data '$dtinclusao' com formato inválido ou em branco.");
        }

        if (!($dtinclusao instanceof \DateTime)) {
            $dtinclusao = DateUtil::getDataDeString($dtinclusao);
        }

        $this->dtinclusao = $dtinclusao;
    }

    /**
     * @param mixed $dtmescompetenc
     * @return \Folha\Entities\MigOcupacaoh|void
     */
    public function setDtmescompetenc($dtmescompetenc)
    {
        if (!preg_match("/\d{2}\/\d{2}\/\d{4}/", $dtmescompetenc)) {
            throw new \Exception("Campo Obrigatório - Mês Competência: Data '$dtmescompetenc' com formato inválido ou em branco.");
        }

        if (!($dtmescompetenc instanceof \DateTime)) {
            $dtmescompetenc = DateUtil::getDataDeString($dtmescompetenc);
        }

        $this->dtmescompetenc = $dtmescompetenc;
    }

    /**
     * @param mixed $dtultatu
     * @return \Folha\Entities\MigOcupacaoh|void
     */
    public function setDtultatu($dtultatu)
    {
        if (!preg_match("/\d{2}\/\d{2}\/\d{4}/", $dtultatu)) {
            throw new \Exception("Data '$dtultatu' com formato inválido ou em branco.");
        }

        if (!($dtultatu instanceof \DateTime)) {
            $dtultatu = DateUtil::getDataDeString($dtultatu);
        }

        $this->dtultatu = $dtultatu;
    }


    /**
     * @param $nrcbo
     * @return \Folha\Entities\MigOcupacaoh
     */
    public function setNrcbo ($nrcbo) {
        $nrcbo = preg_replace(self::EXPRESSAO_NUMEROS, "", $nrcbo);
        $this->nrcbo = $nrcbo;
    }


}